Bug 1338999 - Review Request: perl-MooseX-Role-Strict - Use strict 'roles' in Moose
Summary: Review Request: perl-MooseX-Role-Strict - Use strict 'roles' in Moose
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1337889
TreeView+ depends on / blocked
 
Reported: 2016-05-23 22:05 UTC by Emmanuel Seyman
Modified: 2016-05-26 15:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-26 15:17:04 UTC
Type: ---
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Emmanuel Seyman 2016-05-23 22:05:13 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-MooseX-Role-Strict/perl-MooseX-Role-Strict-0.05-1.fc23.src.rpm
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-MooseX-Role-Strict/perl-MooseX-Role-Strict.spec
Description:
When using Moose::Role, a class which provides a method a role provides will
silently override that method. This can cause strange, hard-to-debug errors
when the role's methods are not called. Simply use MooseX::Role::Strict instead
of Moose::Role and overriding a role's method becomes a composition-time
failure.

Fedora Account System Username: eseyman
Rpmlint Output: 1 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 1 Jitka Plesnikova 2016-05-25 07:33:22 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-MooseX-Role-Strict-0.05-1.fc25.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.24.0)
      1 perl(Moose)
      1 perl(Moose::Exporter)
      1 perl(Moose::Meta::Role)
      1 perl(Moose::Meta::Role::Application::ToClass)
      1 perl(Moose::Role)
      1 perl(MooseX::Meta::Role::Strict)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-MooseX-Role-Strict-0.05-1.fc25.noarch.rpm | sort | uniq -c
      1 perl(MooseX::Meta::Role::Strict) = 0.05
      1 perl(MooseX::Role::Strict) = 0.05
      1 perl-MooseX-Role-Strict = 0.05-1.fc25
Binary provides are Ok.

$ rpmlint ./perl-MooseX-Role-Strict*
perl-MooseX-Role-Strict.noarch: E: wrong-script-interpreter /usr/share/doc/perl-MooseX-Role-Strict/xt/pod.t perl
2 packages and 1 specfiles checked; 1 errors, 0 warnings.

TODO: Please remove 'xt' from %doc.

Please consider fixing 'TODO' items.

Otherwise package looks good.
Approved.

Comment 2 Emmanuel Seyman 2016-05-25 08:23:41 UTC
Thank you, Jikta. I've amended the spec file.

Spec URL: http://people.parinux.org/~seyman/fedora/perl-MooseX-Role-Strict/perl-MooseX-Role-Strict.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-MooseX-Role-Strict/perl-MooseX-Role-Strict-0.05-2.fc23.src.rpm

I've also requested the repo in pkgdb.

Comment 3 Gwyn Ciesla 2016-05-25 15:45:07 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-MooseX-Role-Strict

Comment 4 Emmanuel Seyman 2016-05-26 15:17:04 UTC
The package has been imported, built for rawhide and updates have been issued for F24 and F23.

Thank you for the review, Jikta.


Note You need to log in before you can comment on or make changes to this bug.